Subject: Re: Importing haskell packages from hackage doesn't apply metadata revisions

From: John Kehayias <[email-masked]>
Date: Wed, 07 Jul 2021 03:26:22 +0000

Actually, this does exist in the Haskell build system in Guix, but seems to be undocumented and not used by the importer. You can add the following to the arguments (in the bootstrap package in this case) to use a metadata revision:

#:cabal-revision ("2" "0a6j3313vz7n7dn8abddyib4jggblaq89f87ib4imdwjxjajbm33")

The hash is from running guix hash file (where file = 2.cabal in this case, downloaded from Hackage). This should be part of the importer, to specify a revision or by default grab the latest, I would say.

(and I'm guessing you know this is packaged in guix as integer-logarithms, without the "ghc-" prefix for some reason; not the only package like that I've noticed)